package com.ruoyi.syzy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BWwwNewsRefMapper;
import com.ruoyi.syzy.domain.BWwwNewsRef;
import com.ruoyi.syzy.service.IBWwwNewsRefService;

/**
 * 通关指南Service业务层处理
 * 
 * @author voluntary
 * @date 2023-10-19
 */
@Service
public class BWwwNewsRefServiceImpl implements IBWwwNewsRefService 
{
    @Autowired
    private BWwwNewsRefMapper bWwwNewsRefMapper;

    /**
     * 查询通关指南
     * 
     * @param id 通关指南主键
     * @return 通关指南
     */
    @Override
    public BWwwNewsRef selectBWwwNewsRefById(Long id)
    {
        return bWwwNewsRefMapper.selectBWwwNewsRefById(id);
    }

    /**
     * 查询通关指南列表
     * 
     * @param bWwwNewsRef 通关指南
     * @return 通关指南
     */
    @Override
    public List<BWwwNewsRef> selectBWwwNewsRefList(BWwwNewsRef bWwwNewsRef)
    {
        return bWwwNewsRefMapper.selectBWwwNewsRefList(bWwwNewsRef);
    }

    /**
     * 新增通关指南
     * 
     * @param bWwwNewsRef 通关指南
     * @return 结果
     */
    @Override
    public int insertBWwwNewsRef(BWwwNewsRef bWwwNewsRef)
    {
        return bWwwNewsRefMapper.insertBWwwNewsRef(bWwwNewsRef);
    }

    /**
     * 修改通关指南
     * 
     * @param bWwwNewsRef 通关指南
     * @return 结果
     */
    @Override
    public int updateBWwwNewsRef(BWwwNewsRef bWwwNewsRef)
    {
        return bWwwNewsRefMapper.updateBWwwNewsRef(bWwwNewsRef);
    }

    /**
     * 批量删除通关指南
     * 
     * @param ids 需要删除的通关指南主键
     * @return 结果
     */
    @Override
    public int deleteBWwwNewsRefByIds(Long[] ids)
    {
        return bWwwNewsRefMapper.deleteBWwwNewsRefByIds(ids);
    }

    /**
     * 删除通关指南信息
     * 
     * @param id 通关指南主键
     * @return 结果
     */
    @Override
    public int deleteBWwwNewsRefById(Long id)
    {
        return bWwwNewsRefMapper.deleteBWwwNewsRefById(id);
    }
}
